/*! HTML5 Boilerplate v5.0 | MIT License | http://h5bp.com/ */

html {
    font-size: 1em;
    line-height: 1.4;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
    border: 0px;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

article, section, aside, main {
    display: block;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
body, html {
    margin:0;
    padding:0;
}
.contentwrap {
    max-width:1200px;
    padding: 0 40px;
    margin: 0 auto;
    position:relative;
}
main .contentwrap {
    padding-bottom: 40px;
    font-size: 18px;
}
.embellish {
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Shaun-Hamilton/app_files/img/embellish.png') center no-repeat;
    height:50px;
}
.row {
    display:table;
    width:100%;
    border-spacing:10px;
    border-collapse: separate;
    margin:0 -10px;
}
.col {
    display:table-cell;
}
.one-third {
    width:33%;
}
.two-thirds {
    width:66%;
}
img {
    max-width: 100%;
}

a:link, a:visited {
    text-decoration: none;
}
.page-content a:link,
.page-content a:visited,
.search.content a:link h2,
.search.content a:visited h2 {
    color: #780bc8 !important;
}
.clearfix {
    height: 1px;
    clear: both;
}

/* ==========================================================================
   Header
 ========================================================================== */
 #mobile-menu {
    display: none;
    position: absolute;
    top:5px;
    left:20px;
    background: #a4a4a4 url(https://keo-cms.appspot.com.storage.googleapis.com/sites/Shaun-Hamilton/app_files/img/menu-icon.svg) center no-repeat;
    background-size: 24px;
    font-size: 24px;
    padding: 8px;
    width: 24px;
    height: 24px;
    margin: 2px;
    margin-bottom: 0;
    cursor: pointer;
    z-index:100;
}
header.top .logo {
    position:absolute;
    padding:0;
    left:20px;
    top:0;
    width: 350px;
    height: 198px;
}
header.top nav .subtitle {
    display:none;
}
header.top .top-bar,
header.top .bottom-bar {
    text-align:right;
    line-height:62px;
}

/*** search form ***/
#search {
    display: inline-block;
    width: 150px;
    padding-right: 1%;
}
#search form {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    width: 100%;
    height: 40px;
    -webkit-box-sizing:border-box;
    box-sizing: border-box;
}
#search label.infield {
    display: inline-block;
    position: absolute;
    left:0;
    text-align: center;
    width: 100%;
    height: 100%;
    padding-left: 30px;
    color: #c4c4c4;
    text-transform: uppercase;
    line-height: 40px;
    -webkit-box-sizing:border-box;
    box-sizing: border-box;
}
#search input {
    position: absolute;
    left:0;
    width: 100%;
    height: 100%;
    line-height: 40px;
    padding-left: 40px;
    background: url(https://keo-cms.appspot.com.storage.googleapis.com/sites/Shaun-Hamilton/app_files/img/search.svg) no-repeat;
    background-size: 20px 20px;
    background-position: 5% 40%;
    border: 1px solid #f2f2f2;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

header.top .top-bar nav {
    margin-left:350px;
    border-top: 1px solid #cdcdcd;
    position:relative;
}
header.top .bottom-bar nav {
    padding-left:350px;
}
header.top .top-bar nav::after {
    content:"";
    display:block;
    position:absolute;
    border-top: 1px solid #cdcdcd;
    margin-right:-50vw;
    padding-right: 50vw;
    top:-1px;
    right:0;
}
header.top ul {
    list-style:none;
    padding:0;
    margin:0;
}
header.top li {
    display:inline-block;
    position:relative;
}
header.top a {
    padding: 0 20px;
    font-family: serif;
    text-decoration:none;
    color:inherit;
    text-transform: uppercase;
    display:block;
}
header.top a.fb {
    display: inline-block;
}
header.top a > img {
    width: 40px;
    height: 40px;
}
header.top li > ul{
    display:none;
    position:absolute;
    top:100%;
    left:0;
    text-align:left;
}
header.top .top-bar li > ul {
    background-color:#2c022a;
    color:#f2f2f2;
    z-index:1000;
}
header.top .top-bar li.depth-1 {
    display:block;
    border-bottom:1px solid #4c274a;
}
header.top .top-bar li.depth-1:hover a {
    background:#fff;
    color:#2c022a;
}
header.top .bottom-bar li > ul {
    background-color:#2c022a;
    color:#f2f2f2;
    z-index:1000;
    width:auto;
}
header.top .bottom-bar li.depth-1 {
    white-space: nowrap;
    display:block;
}
header.top li:hover > ul{
    display:block;
}
header.top .bottom-bar {
    color:#fff;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#420d40+1,2c022a+100 */
    background: #420d40; /* Old browsers */
    background: -moz-linear-gradient(left,  #420d40 1%, #2c022a 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(left,  #420d40 1%,#2c022a 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right,  #420d40 1%,#2c022a 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#420d40', endColorstr='#2c022a',GradientType=1 ); /* IE6-9 */
    line-height:70px;
}
header.top .bottom-bar li:hover > a {
    background:#fff;
    color:#2c022a;
}
header.top .top-bar-phone {
    display:inline-block;
    color:#2e032d;
    padding-left:35px;
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Shaun-Hamilton/app_files/img/icon-phone.svg') left center no-repeat;
    background-size:16px;
    font-weight:bold;
}
header.top .top-bar-phone span {
    white-space: nowrap;
}
/* ==========================================================================
   Footer
 ========================================================================== */
footer.bottom {
    font-family:serif;
    background-color:#f2f2f2;
    border-top:2px solid #420d40;
}
footer.bottom h2 {
    text-transform:uppercase;
    font-weight: normal;
}
div.logos {
    display: inline-block;
    text-align: right;
    float: right;
}
img.fda,
img.afda {
     display: inline-block;
     margin: 0 5px;
}
img.fda {
    width: 80px;
    height: 70px;
}
img.afda {
    height: 60px;
}
footer.bottom h3 {
    display: inline-block;
    font-family: 'Open Sans', sans-serif;
    font-weight:normal;
    padding-right: 20px;
}
footer.bottom h3 .wrap {
    display: block;
}
footer.bottom .contentwrap {
    padding:75px 150px;
    -webkit-box-sizing:border-box;
    box-sizing:border-box;
    background: url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Shaun-Hamilton/app_files/img/brand-purpura.svg') left center no-repeat;
    background-size: 130px 130px;
    font-size:12px;
}
footer.bottom .location {
    color:#616161;
    text-transform:uppercase;
    font-size:17px;
    font-weight:bold;
    margin:0;
}
footer.bottom .location .separator {
    padding:15px;
}
.bykeo {
    text-align:center;
    background: #fff;
    padding: 10px;
}
.bykeo a {
    color: grey;
     text-decoration:none;
}
.bykeo img {
    vertical-align: middle;
    display: inline-block;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
.bykeo a:hover img{
    -webkit-transform-origin: center;
    -ms-transform-origin: center;
    transform-origin: center;
    -webkit-transform: translateX(-200%) rotate(-360deg);
    -ms-transform: translateX(-200%) rotate(-360deg);
    -o-transform: translateX(-200%) rotate(-360deg);
    -moz-transform: translateX(-200%) rotate(-360deg);
    transform: translateX(-200%) rotate(-360deg);
}

/***** Slide menu ****/
.slide-menu {
    display:none;
}
.slide-menu {
	background: #ccc;
    width:240px;
    z-index:1000;
	position: fixed;
	height: 100%;
	top: 0;
	left: -240px;
	overflow-y:scroll;
}
.slide-menu-active .slide-menu {
    left: 0px;
}
.site-content-menu-slide {
    overflow-x:hidden;
    position:relative;
    left:0;
}
/* transition for menu slide */
.slide-menu,
.site-content-menu-slide {
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}
.slide-menu div.header {
    display: none;
}
.slide-menu h3 {
	padding: 1em;
	color:#fff;
	background:#999;
	margin:0;
}
.slide-menu ul {
    padding:0;
    margin:0;
    list-style:none;
}
.slide-menu ul ul {
	background:#999;
}
.slide-menu ul ul ul{
	background:#666;
}
.slide-menu li {
    position:relative;
}
.slide-menu li > ul {
    display:none;
}
.slide-menu li.expand-active > ul {
    display:block;
}
.slide-menu a {
	display: block;
	color: #fff;
	font-size: 1.1em;
	font-weight: 300;
	border-bottom: 1px solid #666;
	padding: 18px;
	text-decoration:none;
}
.slide-menu a:hover {
	background: #420d40;
}
.slide-menu ul .expand {
    position: absolute;
    top: 0;
    right: 0;
    border-left: 1px solid #030b16;
    height: 61px;
    width: 50px;
    cursor: pointer;
}
.slide-menu ul .expand i {
    content:"";
    display: block;
    height: 62px;
    width: 48px;
    background: url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Shaun-Hamilton/app_files/img/menu-drop.svg') no-repeat center center;
    background-size: 30%;
    -webkit-transition: -webkit-transform 500ms ease;
    -moz-transition: -moz-transform 500ms ease;
    -o-transition: -o-transform 500ms ease;
    transition: -webkit-transform 500ms ease;
    transition: transform 500ms ease;
    transition: transform 500ms ease, -webkit-transform 500ms ease;
}
.expand-active > .expand i {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
}
/* ==========================================================================
   Home Page
 ========================================================================== */
/* banners */
.banners-home {
    background-color:#f2f2f2;
}
.banners-home .banner {
    display:block;
    padding-top:33%;
    background-size:cover;
}
.banners-home .banner-content {
    display:none;
}
.banners-home .banner-navigation {
    text-align:center;
    font-size:30px;
    line-height:40px;
    padding-top: 20px;
}
.banners-home .banner-navigation::after {
    content:"";
    display:block;
    width:30%;
    margin:0 auto;
    margin-top:25px;
    padding:15px;
    border-top: 1px solid #000000;
}
.banner-name {
    display:none;
}
.banners-home .banner-navigation .banner-title,
.banners-home .banner-navigation .banner-caption {
    color:#380836;
    text-transform:uppercase;
    display:block;
    font-family: serif;
}
.banners-home .banner-navigation .banner-caption {
    font-size:120%;
}

.t-splash main header {
    background:none;
}
.t-splash main header h1 {
    border-top:1px solid #89a5b1;
    padding-top:20px;
    color:#646d75;
    text-align:center;
    font-weight:lighter;
    text-transform:uppercase;
    position:relative;
    padding: 0 20px;
    padding-top:20px;
}
.t-splash main header h1::after {
    content:"";
    position:absolute;
    right:50%;
    margin-right:-600px;
    top:20px;
    width:100px;
    height:100px;
    display:block;
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Shaun-Hamilton/app_files/img/brand.svg') no-repeat;
    background-size:contain;
}
.page-content li {
    margin-bottom: 1em;
}
.page-content::after {
    content:"";
    display:block;
    clear:both;
    padding-bottom:50px;
}
.page-content-wrap h1,
.page-content-wrap h2,
.page-content-wrap h3,
.page-content-wrap h4 {
    color:inherit;
    font-family: "chaparral-pro",sans-serif;
    font-weight: normal;
}
.page-content-wrap {
    background-color:#3c0a3a;
    color:#fff !important;
    font-family: 'Open Sans', sans-serif;
    padding: 50px 0;
    padding-bottom: 100px;
}
.t-splash footer.bottom {
    border-top:0;
}
/* ==========================================================================
   Content Page
 ========================================================================== */
main header {
    text-align:center;
    background-color:#f2f2f2;
    padding:20px 0;
    border-bottom:6px solid #350f33;
}
main header h1 {
    font-weight:normal;
    text-transform:uppercase;
    font-family: serif;
    margin:0;
}
.sub-pages {
    margin: 50px 0;
    text-transform: uppercase;
}
.sub-pages h2 {
    text-transform:uppercase;
    font-size:24px;
    padding:30px 0;
    font-weight:normal;
    border-bottom: 1px solid #350f33;
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Shaun-Hamilton/app_files/img/brand-purpura.svg') right center no-repeat;
    background-size: auto 80px;
    padding-right:100px;
}
.sub-pages ul {
    list-style:none;
    padding:0;
    margin:0;
    display:table;
}
.sub-pages li {
    display:table-row-group;
}
.sub-pages a {
    display:table-row;
    text-decoration:none;
    color:#2c022a;
    fonts-size:16px;
    line-height:50px;
}
.sub-pages li .title,
.sub-pages li .subtitle {
    display:table-cell;
}
.sub-pages li .title {
    padding-right:50px;
    font-weight:bold;
}
/* ==========================================================================
   Notices Page
 ========================================================================== */
.notices,
#past-events {
    text-align: center;
}
.notice h2 {
    color:#4c104a;
    font-weight:normal;
    font-family: "chaparral-pro",sans-serif;
    font-size:16px;
    text-transform: uppercase;
    margin:0;
}
.notice p {
    margin:10px 0;
}
.t-notices .notice {
    display:inline-block;
    vertical-align: top;
    position:relative;
    font-size:16px;
    color:#280751;
    width:24%;
    min-width:290px;
    min-height: 360px;
    background-color:#f2f2f2;
    border-bottom: 4px solid #350f33;
    padding:20px;
    margin: 10px 3.5px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
.t-notices .notice-graphic,
.t-notices .fallback {
    position:static;
    display:block;
    width:107px;
    height:107px;
    background-size:cover;
    background-position: center;
    background-repeat: no-repeat;
    margin: 15px auto;
}

/* ==========================================================================
   Media Queries
 ========================================================================== */
@media screen and (max-width:1300px) {
    header.top .bottom-bar {
        height:70px;
    }
    header.top .bottom-bar nav {
        display:none;
    }
    #mobile-menu {
        display:block;
    }
    .slide-menu {
        display:block;
    }
    .slide-menu-active .site-content-menu-slide {
        left: 240px;
    }
}
@media screen and (max-width:960px) {
    header.top .top-bar {
        text-align:center;
    }
    header.top .bottom-bar {
        height:5px;
    }
    header.top .top-bar nav {
        margin-left:0;
        display: none;
    }
    .slide-menu div.header {
        display: block;
    }
    header.top .top-bar li.depth-1{
        width: 100%;
    }
    header.top .logo {
        position:static;
        width: 80%;
        height: 30%;
        margin: 0 auto;
    }
    .banners-home .banner-navigation {
        font-size: 18px;
        line-height: 20px;
    }
    .splash-ctas,
    .splash-ctas .col {
        display:block;
        width:auto;
    }
    .home-ctas li {
        display:inline-block;
        width:48%;
        margin:1%;
        min-width:300px;
    }
    /*** page content text sizes ***/
    .page-content h1 {
        font-size: 25px;
        line-height: 29px;
    }
    .page-content h2 {
        font-size: 20px;
        line-height: 24px;
    }
    .page-content h3 {
        font-size: 18px;
        line-height: 22px;
    }
    main .contentwrap {
        font-size: 16px;
    }
    .page-content img {
        display: block;
        float: none !important;
        height: auto !important;
        margin: 20px auto !important;
    }
    /*** floral pages ***/
    .casket-or-coffin-tributes .page-content,
    .church-chapel-and-sympathy-tributes .page-content,
    .floral-tributes .page-content {
        text-align: center;
    }
}
@media screen and (max-width: 800px){
    footer.bottom h3 .wrap {
        display: inline;
    }
}
@media screen and (max-width:760px) {
    div.columns {
        -webkit-column-count: auto !important; /* Chrome, Safari, Opera */
        -moz-column-count: auto !important; /* Firefox */
        column-count: auto !important;
    }
    .sub-pages h2 {
        text-align:center;
        padding-right:0;
        padding-top:100px;
        background-position:top center;
    }
    footer.bottom .contentwrap {
        padding: 50px 20px;
        padding-top:100px;
        background: url(https://keo-cms.appspot.com.storage.googleapis.com/sites/Shaun-Hamilton/app_files/img/brand-purpura.svg) center 20px no-repeat;
        background-size:80px 80px;
    }
}
@media screen and (max-width:600px) {
    header.top li.depth-0 {
        width:48%;
    }
    header.top li > ul {
        right:0;
    }
}
@media screen and (max-width:500px) {
    header.top .logo {
        width: 100%;
        height: 50%;
    }
    div.logos {
        display: block;
        text-align:center;
        float:none;
    }
}
@media screen and (max-width:400px) {
    .contentwrap {
        padding: 0 20px;
    }
    header.top .header-menu li {
        display:block;
        width:100%;
    }
    /* ensure phone wraps properly */
    header.top .top-bar-phone {
        padding-left: 20px;
        line-height: 1em;
    }
}